Bug 977484 - Fedora19:Beta: Text mode installation does not have NFS as an installation source type
Fedora19:Beta: Text mode installation does not have NFS as an installation so...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 12:33 EDT by IBM Bug Proxy
Modified: 2013-10-14 11:12 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-20.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 11:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nfs-install-source-1.png (28.61 KB, image/png)
2013-06-24 12:33 EDT, IBM Bug Proxy
no flags Details
nfs-install-source-2.png (32.86 KB, image/png)
2013-06-24 12:33 EDT, IBM Bug Proxy
no flags Details
anaconda-ks.cfg (1.11 KB, text/plain)
2013-06-24 12:34 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 95039 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-24 12:33:07 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-20 05:03:21 ==
In F19 beta ppc64 text mode installation , there is no option for NFS as an installation source type to choose.

boot: linux ip=9.3.110.176::9.3.110.1:255.255.255.0:miz11.austin.ibm.com:eth0:none nameserver=9.0.9.1                        
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
...
...
...
[  OK  ] Started LVM2 metadata daemon.
[  OK  ] Started Device-Mapper Multipath Device Controller.
[  OK  ] Started Monitoring of LVM2 mirrors, snapshots etc. u...ogress polling.
Starting installer, one moment...
anaconda 19.30-1 for Fedora 19 (pre-release) started.
08:52:08 X startup failed, falling back to text mode
================================================================================
================================================================================
VNC

X was unable to start on your machine.  Would you like to start VNC to connect t
o this computer from another computer and perform a graphical installation or continue 
with a text mode installation?

 1) Start VNC

 2) Use text mode

  Please make your choice from above ['q' to quit | 'c' to continue |
2
================================================================================
================================================================================
Installation

 1) [!] Installation source               2) [!] Timezone settings
        (Processing...)                          (Timezone is not set.)
 3) [!] Install Destination               4) [!] Create user
        (No disks selected)                      (No user will be created)
 5) [!] Set root password                 6) [!] Software selection
        (Password is not set.)                   (Processing...)
  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 1
================================================================================
================================================================================
Installation

 1) [!] Installation source               2) [!] Timezone settings
        (Closest mirror)                         (Timezone is not set.)
 3) [!] Install Destination               4) [!] Create user
        (No disks selected)                      (No user will be created)
 5) [!] Set root password                 6) [!] Software selection
        (Password is not set.)                   (Processing...)
  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: c
Please complete all spokes before continuing
  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 1
================================================================================
================================================================================
Choose an installation source type.
Installation source

[x] 1) Closest mirror

[ ] 2) http://

[ ] 3) https://

[ ] 4) ftp://

Repo URL set to: Closest mirror

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]: 
[anaconda] 1:main* 2:shell  3:log  4:storage-log  5:program-log          


You can clearly see it has only http,https & ftp . No option for nfs type.

== Comment: #2 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-20 11:43:00 ==

I had verified with GUI and it has nfs support. You can refer to screenshots "nfs-install-source-1.png" & "nfs-install-source-2.png" attached to the bugzilla. I can installed with nfs method successfully by choosing GUI installation method.After system boots up , anaconda cfg file (anaconda-ks.cfg attached to the bugzilla) also clearly shows which installation media was used.

# Use NFS installation media
nfs --server=9.3.110.77 --dir=/NFS --opts=""
Comment 1 IBM Bug Proxy 2013-06-24 12:33:25 EDT
Created attachment 764697 [details]
nfs-install-source-1.png
Comment 2 IBM Bug Proxy 2013-06-24 12:33:38 EDT
Created attachment 764698 [details]
nfs-install-source-2.png
Comment 3 IBM Bug Proxy 2013-06-24 12:34:06 EDT
Created attachment 764699 [details]
anaconda-ks.cfg
Comment 4 IBM Bug Proxy 2013-07-18 12:51:56 EDT
------- Comment From kamaleshb@in.ibm.com 2013-07-18 16:42 EDT-------
Hello RedHat,

Is this bug planned to be fixed in next release ?
Thanks.
Comment 5 Samantha N. Bueno 2013-07-18 13:17:53 EDT
(In reply to IBM Bug Proxy from comment #4)
> ------- Comment From kamaleshb@in.ibm.com 2013-07-18 16:42 EDT-------
> Hello RedHat,
> 
> Is this bug planned to be fixed in next release ?

Yes, I've about got a patch prepared to add support.
Comment 6 Samantha N. Bueno 2013-07-22 11:39:34 EDT
Patch posted for review.
Comment 7 Samantha N. Bueno 2013-07-24 16:55:50 EDT
Patch pushed, commit 4b2cdabd6ab93453fd311226efcd0b529b03d4ab.
Comment 8 Fedora End Of Life 2013-09-16 13:00:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 IBM Bug Proxy 2013-10-08 06:00:57 EDT
------- Comment From khusriva@in.ibm.com 2013-10-08 09:52 EDT-------
In Fedora20 ppc64 text mode installation I am able to see NFS as an option source type to choose.

1)  CD/DVD
2)  Network
'r' to refresh]: 2
Installation source

1)  Closest mirror
2)  http://
3)  https://
4)  ftp://
5)  nfs

Specify Repo Options

1) NFS <server>:/<path>
2) NFS mount options

'r' to refresh]:
Comment 10 IBM Bug Proxy 2013-10-11 02:00:47 EDT
------- Comment From khusriva@in.ibm.com 2013-10-11 05:50 EDT-------
Since this bug is fixed in Fedora 20, we can close this bug now
Comment 11 Gustavo Luiz Duarte 2013-10-14 11:12:40 EDT
Thanks Samantha.

Closing this bug as per previous comment.

Note You need to log in before you can comment on or make changes to this bug.